/*
 * Copyright (c) 2010,2011 Red Hat, Inc.
 *
 * This file is part of HekaFS.
 *
 * HekaFS is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License, version 3, as published by the Free
 * Software Foundation.
 *
 * HekaFS is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License *
 * along with HekaFS.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __CRYPT_H__
#define __CRYPT_H__

#ifndef _CONFIG_H
#define _CONFIG_H
#include "config.h"
#endif

#include <limits.h>
#include <openssl/aes.h>

#define GFID_SIZE  16
#define BLOCK_SIZE 1024

#define DPRINTF(fmt,args...) do {			\
	gf_log(__func__,GF_LOG_DEBUG,fmt,##args);	\
} while (0);

typedef struct {
	AES_KEY		key;
} crypt_private_t;

typedef struct {
	off_t		offset;
	uuid_t		gfid;
} crypt_rlocal_t;

#endif /* __CRYPT_H__ */
