/*
 * Copyright 2011 Red Hat, Inc.
 *
 * This file is part of HekaFS.
 *
 * HekaFS is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License, version 3, as published by the Free
 * Software Foundation.
 *
 * HekaFS is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License *
 * along with HekaFS.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __UIDMAP_H__
#define __UIDMAP_H__

#include <sys/types.h>

typedef int (* map_fn)(struct _call_stack_t *, char *);
typedef void (* revmap_fn)(uid_t *, gid_t *, char *);
typedef int32_t (* init_fn)(struct _xlator *, uid_t, uid_t, gid_t, gid_t, int);
typedef void (* fini_fn)(struct _xlator *);

#define UIDMAP_MAP_LOCK_FILE "/var/lib/hekafs/map_%s.lck"
#define UIDMAP_MAP_FILE      "/var/lib/hekafs/map_%s"

#define HEKAFS_NOBODY 65534 /* just like NFS root squash */

#endif /* __UIDMAP_H__ */

